Bug 23320 - Neworderempty has unused 'close' and 'budget_name' parameters
Summary: Neworderempty has unused 'close' and 'budget_name' parameters
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-15 18:02 UTC by Nick Clemens
Modified: 2019-10-08 13:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23320 - Removed unused close parameter in neworderempty (12.29 KB, patch)
2019-07-15 18:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Implement blocking errors for neworderbiblio and basket.pl (4.84 KB, patch)
2019-07-19 21:03 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23320 - Removed unused close parameter in neworderempty (12.41 KB, patch)
2019-09-21 18:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23320 - Removed unused close parameter in neworderempty (12.60 KB, patch)
2019-10-03 06:48 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 23320: Removed unused close parameter in neworderempty (12.61 KB, patch)
2019-10-03 09:47 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23320: (follow-up) Remove unused budget_name variable (732 bytes, patch)
2019-10-03 09:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23320: Removed unused close parameter in neworderempty (12.67 KB, patch)
2019-10-07 19:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23320: (follow-up) Remove unused budget_name variable (789 bytes, patch)
2019-10-07 19:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-07-15 18:02:25 UTC
I am not sure what this is intended for - with it some inputs are disabled, however, I cannot find anywhere in the code that we trigger the close parameter
Comment 1 Nick Clemens 2019-07-15 18:05:25 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-07-19 21:03:44 UTC Comment hidden (obsolete)
Comment 3 Maryse Simard 2019-07-19 21:08:56 UTC Comment hidden (obsolete)
Comment 4 Maryse Simard 2019-07-26 20:38:31 UTC
After applying the patch, the selects for the fund and the currency look weird. The options are outside of the select and the checkbox to "show inactive" is repeated for each option.

I think it is due to some [% END %] tags removed at the wrong place.
Comment 5 Nick Clemens 2019-09-21 18:06:24 UTC
Created attachment 93110 [details] [review]
Bug 23320 - Removed unused close parameter in neworderempty

To test:
 1 - Add to basket
 2 - Note the options on the page
 3 - Add &close=1 to the url
 4 - Note some inputs are disabled
 5 - Save anyway, note it is a regular order
 6 - Add another order to basket
 7 - Save it
 8 - Modify
 9 - Add close to the url again
10 - Save changes
11 - No functional change
12 - Apply patch
13 - Note close parameter has no effect now
14 - Confirm you can place and confirm orders as before
Comment 6 sandboxes@biblibre.com 2019-10-03 06:48:10 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 7 sandboxes@biblibre.com 2019-10-03 06:48:32 UTC
Created attachment 93508 [details] [review]
Bug 23320 - Removed unused close parameter in neworderempty

To test:
 1 - Add to basket
 2 - Note the options on the page
 3 - Add &close=1 to the url
 4 - Note some inputs are disabled
 5 - Save anyway, note it is a regular order
 6 - Add another order to basket
 7 - Save it
 8 - Modify
 9 - Add close to the url again
10 - Save changes
11 - No functional change
12 - Apply patch
13 - Note close parameter has no effect now
14 - Confirm you can place and confirm orders as before

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 8 Katrin Fischer 2019-10-03 09:02:48 UTC
There is a QA script fail here, can you please check?

 FAIL	acqui/neworderempty.pl
   FAIL	  critic
		# Variables::ProhibitUnusedVariables: Got 1 violation(s).
Comment 9 Katrin Fischer 2019-10-03 09:03:19 UTC
Also please fix the commit message!
Comment 10 Nick Clemens 2019-10-03 09:47:59 UTC
Created attachment 93545 [details] [review]
Bug 23320: Removed unused close parameter in neworderempty

To test:
 1 - Add to basket
 2 - Note the options on the page
 3 - Add &close=1 to the url
 4 - Note some inputs are disabled
 5 - Save anyway, note it is a regular order
 6 - Add another order to basket
 7 - Save it
 8 - Modify
 9 - Add close to the url again
10 - Save changes
11 - No functional change
12 - Apply patch
13 - Note close parameter has no effect now
14 - Confirm you can place and confirm orders as before

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 11 Nick Clemens 2019-10-03 09:48:03 UTC
Created attachment 93546 [details] [review]
Bug 23320: (follow-up) Remove unused budget_name variable
Comment 12 Katrin Fischer 2019-10-07 19:59:33 UTC
Created attachment 93845 [details] [review]
Bug 23320: Removed unused close parameter in neworderempty

To test:
 1 - Add to basket
 2 - Note the options on the page
 3 - Add &close=1 to the url
 4 - Note some inputs are disabled
 5 - Save anyway, note it is a regular order
 6 - Add another order to basket
 7 - Save it
 8 - Modify
 9 - Add close to the url again
10 - Save changes
11 - No functional change
12 - Apply patch
13 - Note close parameter has no effect now
14 - Confirm you can place and confirm orders as before

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2019-10-07 19:59:37 UTC
Created attachment 93846 [details] [review]
Bug 23320: (follow-up) Remove unused budget_name variable

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Martin Renvoize 2019-10-08 13:03:24 UTC
Nice work!

Pushed to master for 19.11.00